package com.younike.system.service;

import java.util.List;
import com.younike.system.domain.ServerTimeSection;
import com.younike.system.domain.vo.ServerTimeSectionVo;

/**
 * 服务人员服务时间段Service接口
 * 
 * @author elev
 * @date 2022-01-10
 */
public interface IServerTimeSectionService {
    /**
     * 查询服务人员服务时间段
     * 
     * @param sectionId 服务人员服务时间段主键
     * @return 服务人员服务时间段
     */
    ServerTimeSection selectServerTimeSectionBySectionId(Long sectionId);

    /**
     * 查询服务人员服务时间段列表
     * 
     * @param serverTimeSection 服务人员服务时间段
     * @return 服务人员服务时间段集合
     */
    List<ServerTimeSection> selectServerTimeSectionList(ServerTimeSection serverTimeSection);

    /**
     * 新增服务人员服务时间段
     * 
     * @param serverTimeSection 服务人员服务时间段
     * @return 结果
     */
    int insertServerTimeSection(ServerTimeSection serverTimeSection);

    /**
     * 修改服务人员服务时间段
     * 
     * @param serverTimeSection 服务人员服务时间段
     * @return 结果
     */
    int updateServerTimeSection(ServerTimeSection serverTimeSection);

    /**
     * 批量删除服务人员服务时间段
     * 
     * @param sectionIds 需要删除的服务人员服务时间段主键集合
     * @return 结果
     */
    int deleteServerTimeSectionBySectionIds(Long[] sectionIds);

    /**
     * 删除服务人员服务时间段信息
     * 
     * @param sectionId 服务人员服务时间段主键
     * @return 结果
     */
    int deleteServerTimeSectionBySectionId(Long sectionId);

    int updateServerTimeSectionVo(ServerTimeSectionVo serverTimeSection);

    int insertServerTimeSectionVo(ServerTimeSectionVo serverTimeSection);
}
